<?
include_once("mysql.php");
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/ini.php");
include 'include/sesi.php';
if (isset($user)) {

switch($go) {

default:
echo"<b>Список игнора</b><br/>";

if(@file("MySql/base123/ignor/$log.dat")){
$file = @file("MySql/base123/ignor/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/ignor/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\">$data[1]</a>";
echo" [<a href=\"ignor.php?$sd&id=$id&go=del&name=$data[1]\">Удалить</a>]<br/>";
}
if($total=="0"){echo"<small>Игнор лист пуст.</small>";}
}else{echo"<small>Игнор лист пуст.</small>";}
if ($start != 0) {echo '<a href="ignor.php?start='.($start - 5).'&'.$sd.'&go=list">Назад</a> ';}
if ($total > $start + 5) {echo ' <a href="ignor.php?start='.($start + 5).'&'.$sd.'&go=list">Далее</a>';}
echo"<br/><a href=\"ignor.php?$sd&go=add\">Добавить в игнор</a>";
break;
case 'ignoradd':
$udat = @file("MySql/base123/reg/$nick.dat");
$udat = explode(":||:",$udat[0]);
if(!@file("MySql/base123/reg/$nick.dat")){echo"Такого игрока нет в базе данных"; exit;}
$text = @file("MySql/base123/ignor/$log.dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$nick){echo"Этот персонаж уже есть в игнор листе!";
include_once"include/down.php"; exit; }
}
$text='|'.$nick.'';

$fp=fopen("MySql/base123/ignor/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/ignor/$log.dat", 0666);



echo"Вы успешно добавили в игнор лист $nick!";
break;

case 'add':
echo"Добавить в игнор<br/>";
echo'<form method="post" action="ignor.php?'.$sd.'&go=ignoradd">';
echo "<input name=\"nick\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
break;
case 'del':

$file=file("MySql/base123/ignor/$log.dat");
$fp=fopen("MySql/base123/ignor/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo "Игрок удалён с игнора";
break;
}}else{echo"<small>Пароль или логин неверен!</small>";}
include 'include/down.php';
?>

